<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".ui.room.RoomFragment">


        <com.rdiot.yx485.view.ZNavbar
            android:id="@+id/nb"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:zLeftText="@string/add"
            app:zRightText="@string/edit"
            app:zTitle="@string/my_room" />


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">


            <com.drake.brv.PageRefreshLayout
                android:id="@+id/page"
                android:layout_width="match_parent"
                app:srlEnableLoadMore="false"
                android:layout_height="match_parent">
                <!--有房间 显示列表-->
                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:visibility="gone" />
            </com.drake.brv.PageRefreshLayout>


            <!--无房间 显示提示-->
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_no_room"
                android:layout_width="300dp"
                android:layout_height="300dp"
                android:layout_marginTop="30dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@mipmap/img_no_room" />

            <TextView
                android:id="@+id/textView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="80dp"
                android:text="@string/no_room"
                android:textColor="@color/main_text_color"
                app:layout_constraintBottom_toBottomOf="@id/iv_no_room"
                app:layout_constraintEnd_toEndOf="@id/iv_no_room"
                app:layout_constraintStart_toStartOf="@id/iv_no_room" />

            <!--添加房间-->
            <LinearLayout
                android:id="@+id/ll_add"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"
                android:background="@drawable/bg_home_no_room_add_btn"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingStart="20dp"
                android:paddingTop="10dp"
                android:paddingEnd="20dp"
                android:paddingBottom="10dp"
                app:layout_constraintEnd_toEndOf="@+id/textView"
                app:layout_constraintStart_toStartOf="@+id/textView"
                app:layout_constraintTop_toBottomOf="@+id/textView">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    app:srcCompat="@mipmap/icon_add_3" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6dp"
                    android:text="@string/add_room"
                    android:textColor="@color/main_text_color"
                    app:layout_constraintEnd_toEndOf="@+id/textView"
                    app:layout_constraintStart_toStartOf="@+id/textView"
                    app:layout_constraintTop_toBottomOf="@+id/textView" />

            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>
</layout>